Skip to main content
GET
Get Amm Pool Info

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

connector
string
required
network
string
required
pool_address
string
required

Response

Successful Response

Response with AMM pool information (constant-product / DAMM v2).

address
string
required

Pool address

baseTokenAddress
string
required

Base token contract address

quoteTokenAddress
string
required

Quote token contract address

feePct
string
required

Pool base fee percentage

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
price
string
required

Current pool price (quote per base)

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
baseTokenAmount
string
required

Total base token liquidity

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
quoteTokenAmount
string
required

Total quote token liquidity

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$